// Class = Cubo
// Method = volumen()D

public class AutomaticTestCases1 {

    public boolean test1() throws Throwable {
        Cubo cubo0 = new Cubo(0.0, 0.0, (-128.1));
        double double0 = cubo0.volumen();
        return double0 == -2102071.0409999997;
    }

    public boolean test2() throws Throwable {
        Cubo cubo0 = new Cubo((-20.7892327787081), 0.0, (-1.0));
        double double0 = cubo0.volumen();
        return double0 == -1.0;
    }

    public boolean test3() throws Throwable {
        Cubo cubo0 = new Cubo(948.0, 0.0, 948.0);
        double double0 = cubo0.volumen();
        return double0 == 8.51971392E8;
    }

    public boolean test4() throws Throwable {
        Cubo cubo0 = new Cubo((-1.0), (-1.0), (-939.534));
        double double0 = cubo0.volumen();
        return double0 == -8.293493394787253E8;
    }

    public boolean test5() throws Throwable {
        Cubo cubo0 = new Cubo(1013.17904918388, (-2166.0404514910397), (-2166.0404514910397));
        double double0 = cubo0.volumen();
        return double0 == -1.0162479647939383E10;
    }

    public boolean test6() throws Throwable {
        Cubo cubo0 = new Cubo(1340.37718, 1340.37718, 1340.37718);
        double double0 = cubo0.volumen();
        return double0 == 2.408136365181964E9;
    }

    public boolean test7() throws Throwable {
        Cubo cubo0 = new Cubo((-415.0), (-415.0), (-1.0));
        double double0 = cubo0.volumen();
        return double0 == -1.0;
    }

    public boolean test8() throws Throwable {
        Cubo cubo0 = new Cubo(1539.66525548749, 1539.66525548749, 1539.66525548749);
        double double0 = cubo0.volumen();
        return double0 == 3.64988287739385E9;
    }

    public boolean test9() throws Throwable {
        Cubo cubo0 = new Cubo(0.0, 1046.1105728, 0.0);
        double double0 = cubo0.volumen();
        return double0 == 0.0;
    }

    public boolean test10() throws Throwable {
        Cubo cubo0 = new Cubo(0.0, 0.0, 0.0);
        double double0 = cubo0.volumen();
        return double0 == 0.0;
    }
}